import { MDCCheckbox } from '@material/checkbox';
import { EventEmitter } from '../../stencil.core';
export declare class Checkbox {
    disabled: boolean;
    color: 'primary' | 'accent' | 'secondary' | 'danger' | string;
    name: string;
    value: string | number;
    checked: boolean;
    indeterminate: boolean;
    label: string;
    alignLabel: string;
    change: EventEmitter;
    mdcCheckbox: MDCCheckbox;
    checkboxDiv: HTMLElement;
    componentDidLoad(): void;
    componentDidUnload(): void;
    getCheckboxClasses(): {
        'mdc-checkbox': boolean;
        'mdc-theme--primary': boolean;
        'mdc-theme--error': boolean;
    };
    renderCheckbox(): any;
    renderCheckboxWithLabel(): any;
    render(): any;
}
